classification
Title: python 2.4.4 fails on solaris (sun4u sparc SUNW,Sun-Fire-880)
Type: compile error Stage:
Components: Build Versions: Python 2.4
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: christian.heimes, georg.brandl, loewis, theoryno3
Priority: normal Keywords:

Created on 2007-10-30 18:18 by theoryno3, last changed 2008-07-20 11:20 by georg.brandl. This issue is now closed.

Messages (5)
msg56972 - (view) Author: Paul (theoryno3) Date: 2007-10-30 18:18
Trying to compile Plone (3.0.2) on a Sun V880 (SunOS genome 5.10
Generic_125100-05 sun4u sparc SUNW,Sun-Fire-880).  Plone is a web
application which runs on the Zope framework. What fails is the python
(2.4.4) which is distributed with Zope.

During the configure step of the build, I receive the following warning:

*****BEGIN Snippet*****
configure: WARNING: sys/wait.h: present but cannot be compiled
configure: WARNING: sys/wait.h:     check for missing prerequisite headers?
configure: WARNING: sys/wait.h: see the Autoconf documentation
configure: WARNING: sys/wait.h:     section "Present But Cannot Be Compiled"
configure: WARNING: sys/wait.h: proceeding with the preprocessor's result
configure: WARNING: sys/wait.h: in the future, the compiler will take
precedence
configure: WARNING:     ##
------------------------------------------------ ##
configure: WARNING:     ## Report this to
http://www.python.org/python-bugs ##
configure: WARNING:     ##
------------------------------------------------ ##
*****END Snippet*****



Then this nasty error breaks the entire config:


******BEGIN Snippet
checking size of int... configure: error: cannot compute sizeof (int), 77
See `config.log' for more details.
******END Snippet
msg56973 - (view) Author: Paul (theoryno3) Date: 2007-10-30 18:18
Trying to compile Plone (3.0.2) on a Sun V880 (SunOS genome 5.10
Generic_125100-05 sun4u sparc SUNW,Sun-Fire-880).  Plone is a web
application which runs on the Zope framework. What fails is the python
(2.4.4) which is distributed with Zope.

During the configure step of the build, I receive the following warning:

*****BEGIN Snippet*****
configure: WARNING: sys/wait.h: present but cannot be compiled
configure: WARNING: sys/wait.h:     check for missing prerequisite headers?
configure: WARNING: sys/wait.h: see the Autoconf documentation
configure: WARNING: sys/wait.h:     section "Present But Cannot Be Compiled"
configure: WARNING: sys/wait.h: proceeding with the preprocessor's result
configure: WARNING: sys/wait.h: in the future, the compiler will take
precedence
configure: WARNING:     ##
------------------------------------------------ ##
configure: WARNING:     ## Report this to
http://www.python.org/python-bugs ##
configure: WARNING:     ##
------------------------------------------------ ##
*****END Snippet*****



Then this nasty error breaks the entire config:


******BEGIN Snippet
checking size of int... configure: error: cannot compute sizeof (int), 77
See `config.log' for more details.
******END Snippet
msg56981 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2007-10-30 21:03
What compiler did you use? Can you please attach the compressed config.log?
msg61356 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2008-01-20 19:51
Please provide the logs. I'm going to close the bug in two week unless
you respond.
msg70076 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-07-20 11:20
No response, closing.
History
Date User Action Args
2008-07-20 11:20:29georg.brandlsetstatus: pending -> closed
nosy: + georg.brandl
messages: + msg70076
2008-01-20 21:03:35christian.heimessetpriority: normal
2008-01-20 19:51:50christian.heimessetstatus: open -> pending
nosy: + christian.heimes
messages: + msg61356
2007-10-30 21:03:32loewissetnosy: + loewis
messages: + msg56981
2007-10-30 18:18:27theoryno3settype: compile error
messages: + msg56973
severity: normal -> critical
2007-10-30 18:18:10theoryno3create